Bug 1561723 (CVE-2018-1097) - CVE-2018-1097 foreman: Ovirt admin password exposed by foreman API
Summary: CVE-2018-1097 foreman: Ovirt admin password exposed by foreman API
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1097
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1564131
Blocks: 1561725
TreeView+ depends on / blocked
 
Reported: 2018-03-28 18:23 UTC by Pedro Sampaio
Modified: 2019-09-29 14:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:22:09 UTC

Description Pedro Sampaio 2018-03-28 18:23:12 UTC
A flaw was found in foreman. The issue allows users with limited permissions for powering oVirt/RHV hosts on and off to discover the username and password used to connect to the compute resource.

Upstream bug:

https://projects.theforeman.org/issues/22546

Upstream pull request:

https://github.com/theforeman/foreman/pull/5369

Comment 4 Andrej Nemec 2018-05-14 15:25:45 UTC
Statement:

This issue affects the versions of foreman as shipped with Red Hat Enterprise Satellite 6. Red Hat Product Security has rated this issue as having security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 5 errata-xmlrpc 2018-10-16 15:21:56 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.